# eric4.Graphics.ZoomDialog

Module implementing a zoom dialog for a graphics canvas.

### Classes

ZoomDialog | Class implementing a zoom dialog for a graphics canvas.

### Functions

None

## ZoomDialog

Class implementing a zoom dialog for a graphics canvas.

### Derived from

QDialog, Ui_ZoomDialog

### Methods

ZoomDialog | Constructor
getZoomSize | Public method to retrieve the zoom size.

#### ZoomDialog (Constructor)

ZoomDialog(zoom, parent = None, name = None)

Constructor

zoom
  zoom factor to show in the spinbox (float)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### ZoomDialog.getZoomSize

getZoomSize()

Public method to retrieve the zoom size.

Returns:
  zoom size (double)

Up